package com.org.hktshop.Interface.system;


import com.org.hktshop.entity.Page;
import com.org.hktshop.entity.admin.HktAdmin;
import com.org.hktshop.entity.system.HktFriendLink;
import com.org.hktshop.utils.Ret;

import java.util.List;

/***
 * 友情链接
 */
public interface IHktFriendLinkService {

    Page<HktFriendLink> queryPage(HktFriendLink friendLink);

    List<HktFriendLink> queryLists(HktFriendLink friendLink);
    Ret updateFriendLink(HktAdmin admin, HktFriendLink friendLink);
    Ret deleteFriendLink(HktAdmin admin, HktFriendLink friendLink);
}
